STDBUF(1)

NOM
stdbuf - Exécuter une commande avec des options de mise en tampon pour ses flux standards

SYNOPSIS
stdbuf OPTION ... COMMANDE

DESCRIPTION

Exécuter COMMANDE en changeant les opérations de mise en tampon pour ses flux standards.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-i, --input=MODE
    changer la mise en tampon du flux d'entrée standard

-o, --output=MODE
    changer la mise en tampon du flux de sortie standard

-e, --error=MODE
    changer la mise en tampon du flux d'erreur standard

--help
    Afficher l'aide-mémoire et quitter.

--version
    Afficher les informations de version et quitter.

Si MODE vaut « L », alors le flux correspondant passera par un tampon ligne par ligne. Cette option n'est pas valable pour l'entrée standard.

Si MODE vaut « 0 », alors le flux correspondant ne passera pas par un tampon.

Sinon, MODE est un nombre qui peut être suivi par un de ces suffixes : KB 1000, K 1024, MB 1000*1000, M 1024*1024 et ainsi de suite pour G, T, P, E, Z, Y, R et Q. Des préfixes binaires peuvent également être utilisés : KiO=K, MiO=M, et ainsi de suite. Dans ce cas, le flux correspondant passera par un tampon dont la taille sera de MODE octets.

Note : si COMMANDE modifie la mise en tampon de ses flux standards (par exemple, c'est le cas de tee), alors les réglages définis par stdbuf seront écrasés. De plus, certains filtres (comme dd, cat, etc.) n'utilisent pas de flux pour leurs entrées et sorties, et ne sont donc pas affectés par les réglages de stdbuf.

  Code de retour :

125 si la commande stdbuf elle-même échoue

126 si COMMANDE est trouvée, mais ne peut pas être invoquée

127 si COMMANDE ne peut pas être trouvée

-   le code de retour de la COMMANDE sinon

EXEMPLES
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Cela affichera immédiatement les entrées uniques de access.log

BOGUES
Sur les plateformes avec la glibc, indiquer une taille de tampon, si bien que l'utilisation d'un mode où tout passe par un tampon génère des comportements non définis.

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/stdbuf>
aussi disponible localement à l’aide de la commande : info '(coreutils) stdbuf invocation'

Empaqueté par Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.